Loading...
Searching...
No Matches
WGPUBufferDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPU_NULLABLE char const * | label
WGPUBufferUsageFlags | usage
uint64_t | size
WGPUBool | mappedAtCreation

## Detailed Description

Definition at line 1057 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUBufferDescriptor::nextInChain

Definition at line 1058 of file mini_webgpu.h.

## label

WGPU_NULLABLE char const* WGPUBufferDescriptor::label

Definition at line 1059 of file mini_webgpu.h.

## usage

WGPUBufferUsageFlags WGPUBufferDescriptor::usage

Definition at line 1060 of file mini_webgpu.h.

## size

uint64_t WGPUBufferDescriptor::size

Definition at line 1061 of file mini_webgpu.h.

## mappedAtCreation

WGPUBool WGPUBufferDescriptor::mappedAtCreation

Definition at line 1062 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h